Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.xca

# Class FBConnectionRequestInfo

java.lang.Object
org.firebirdsql.jaybird.xca.FBConnectionRequestInfo

All Implemented Interfaces:
  `Serializable`

public final class FBConnectionRequestInfo extends Object implements Serializable
The class `FBConnectionRequestInfo` holds connection-specific information such as user, password, and other information.

Author:
  David Jencks, Roman Rokytskyy, Mark Rotteveel
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FBConnectionRequestInfo(IConnectionProperties connectionProperties)`
Creates a connection request info based on a set of connection properties.

## Method Summary

Modifier and Type
Method
Description
`IConnectionProperties`
`asIConnectionProperties()`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`void`
`setPassword(String password)`
`void`
`setUserName(String userName)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FBConnectionRequestInfo

public FBConnectionRequestInfo(IConnectionProperties connectionProperties)
Creates a connection request info based on a set of connection properties.

Mutable connection properties are used as is, so the caller is responsible to provide a copy if mutations shouldn't propagate. Immutable properties are automatically copied to a mutable version.

Parameters:
  `connectionProperties` - Connection properties
Since:
  5

## Method Details

### setUserName

public void setUserName(String userName)

### setPassword

public void setPassword(String password)

### asIConnectionProperties

public IConnectionProperties asIConnectionProperties()

Returns:
  A mutable view on the connection properties of this connection request
Since:
  5

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`